# This file represents the base specification of your challenge. It is used by
# other tools to install and deploy your challenge.

# Required sections
name: "10. Cryptober"
author: "author"
category: "ReadMe"
description: "Cryptography. Het versleutelen en ontsleutelen van informatie (en nee, niet onzin als Blockchain [1]). Zonder crypto zouden wij niet veilig op het Internet kunnen en was het Internet een stuk minder te vertrouwen.\n

Dat overheden versleutelde informatie maar in de weg vinden zitten is begrijpelijk, want fraude, terrorisme en kinder porno, maar het weghalen of verzwakken van versleutelde informatie brengt iedereen in gevaar.\n

Het versleutelen van informatie is zo sterk of zo zwak als waar jij de sleutels hebt verstopt. Denk maar eens na. Zijn de Whatsapp berichten tussen jou en je vrienden en familie wel echt End-to-End versleuteld, als Facebook / Meta de sleutels heeft?\n

Voor de puzzels van deze maand ga je weer verder oefenen met het programmeren in Python. Hebben wij er zin in!\n

Flag = JCR(Yes!)\n

1. https://www.schneier.com/blog/archives/2022/06/on-the-dangers-of-cryptocurrencies-and-the-uselessness-of-blockchain.html
"
value: 50
type: standard

# Specify a host to deploy the challenge onto.
# The currently supported URI schemes are ssh:// and registry://
# ssh is an ssh URI where the above image will be copied to and deployed (e.g. ssh://root@123.123.123.123)
# registry is a Docker registry tag (e.g registry://registry.example.com/test/image)
# host can also be specified during the deploy process: `ctf challenge deploy challenge --host=ssh://root@123.123.123.123`
host: null

# Optional settings

# Can be removed if unused
# Leave at 0 for unlimited
attempts: 0

# Flags specify answers that your challenge use. You should generally provide at least one.
# Can be removed if unused
# Accepts strings or dictionaries of CTFd API data
flags:
    # A static case sensitive flag
    - JCR(Yes!)

# The state of the challenge.
# If the field is omitted, the challenge is visible by default.
# If provided, the field can take one of two values: hidden, visible.
state: visible

# Specifies what version of the challenge specification was used.
# Subject to change until ctfcli v1.0.0
version: "0.1"